Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_15
Class ToyStore

    java.lang.Object
      |
      +--djbuch.kapitel_15.ToyStore

public class ToyStore
extends java.lang.Object

Kleines DemoObjekt, das die verschiedenen Szenarien des Recyclings von Domino Objekten aufzeigt.

Author:
  Thomas Ekert

Field Summary
`static java.lang.String` | `DEFAULT_FORM`
`static java.lang.String` | `ITEM_FORM`
`static java.lang.String` | `ITEM_NAME`

Constructor Summary
`ToyStore(java.lang.String dbName, Session session)` Neues ToyStoreObejkt anlegen.

Method Summary
`void` | `addToy(int id, java.lang.String name)` Erzeugt ein neues Document mit dem Toy Da das Document doc nur intern in dieser Methode und nur temporär benötigt wird, kann die Methode selbst das Recycle übernehmen.
`java.lang.String` | `getToy(int id)` Lädt den Namen eines Toys mit der ID id Da das Document doc nur intern in dieser Methode und nur temporär benötigt wird, kann die Methode selbst das Recycle übernehmen.
`Document` | `getToyDocument(int id)` Lädt das zu einem Toy gehörige Domino Document mit der ID id Da das Document doc als Ergebnis zurückgegeben wird, kann die Methode das Recycle nicht (!)
`void` | `recycle()` Da die Klasse Toy eine Instanzvariable Database db selbst als Objekt bezieht und vorhält, muss eine externe Möglichkeit geboten werden, dieses Domino Java Objekt dem Recycle zuzuführen.
`void` | `removeToy(int id)` Löscht das Document des Toy mit der ID id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_NAME

    public static final java.lang.String ITEM_NAME

See Also:
  Constant Field Values

### ITEM_FORM

    public static final java.lang.String ITEM_FORM

See Also:
  Constant Field Values

### DEFAULT_FORM

    public static final java.lang.String DEFAULT_FORM

See Also:
  Constant Field Values

Constructor Detail

### ToyStore

    public ToyStore(java.lang.String dbName,
                    Session session)
             throws NotesException

  Neues ToyStoreObejkt anlegen.

Parameters:
  `dbName` - - Name der Datenbank. Wird als internes Datebank Objekt angelegt und geöffnet
  `session` - - Um mit Domino Objekten zu arbeiten, wird immer eine Session benötigt.
Throws:
  `NotesException`

Method Detail

### getToy

    public java.lang.String getToy(int id)
                            throws NotesException

  Lädt den Namen eines Toys mit der ID id Da das Document doc nur intern in dieser Methode und nur temporär benötigt wird, kann die Methode selbst das Recycle übernehmen.

  Parameters:
    `id` - - ID des zu ladenden Toys
  Returns:
    - Name des Toys oder null, falls nicht gefunden.
  Throws:
    `NotesException`

### getToyDocument

    public Document getToyDocument(int id)
                            throws NotesException

  Lädt das zu einem Toy gehörige Domino Document mit der ID id Da das Document doc als Ergebnis zurückgegeben wird, kann die Methode das Recycle nicht (!) selbst übernehmen.

  Parameters:
    `id` - - ID des zu ladenden Toys
  Returns:
    - Document mit dem Toy oder null, falls nicht gefunden.
  Throws:
    `NotesException`

### addToy

    public void addToy(int id,
                       java.lang.String name)
                throws NotesException

  Erzeugt ein neues Document mit dem Toy Da das Document doc nur intern in dieser Methode und nur temporär benötigt wird, kann die Methode selbst das Recycle übernehmen.

  Parameters:
    `id` - - ID des neuen Toys
    `name` - - Name des neuen Toys
  Throws:
    `NotesException`

### removeToy

    public void removeToy(int id)
                   throws NotesException

  Löscht das Document des Toy mit der ID id. Da das Document doc nur intern in dieser Methode und nur temporär benötigt wird, kann die Methode selbst das Recycle übernehmen.

  Parameters:
    `id` -
  Throws:
    `NotesException`

### recycle

    public void recycle()

  Da die Klasse Toy eine Instanzvariable Database db selbst als Objekt bezieht und vorhält, muss eine externe Möglichkeit geboten werden, dieses Domino Java Objekt dem Recycle zuzuführen. Gleichzeitig wird über diese Methode die Instanzvariable db auf null gesetzt, um in checkRecycled erkennen zu können, ob ein Recycling erfolgt war.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD